PHP Library for Selenium

Installs: 321 400

Dependents: 8

Stars: 34

Watchers: 3

Forks: 5

Open Issues: 3

v1.1.0 2014-07-05 14:05 UTC



This library is deprecated, because it relies on Selenium1 protocol, a very old protocol. No support will be provided for this repository. If you want to continue using it, please fork it and maintain it on your own.

You can also consider migrating to Facebook PHP-WebDriver:


Selenium is a tool for web test automation. This library is a client of the Selenium Server for PHP.

It provides a fluid interface with autocompletion and documentation in modern IDEs.

  // ...

  echo $browser->getTitle();


To use this library you will need :

  • PHP 5.3
  • A Selenium Server


2 dependencies are present in sub-modules :

  • Symfony2 DomCrawler : used for generating the Browser class
  • Symfony2 ClassLoader : used in autoload.php

It's up to you to decide how to use it.

How to include it ?

To make it work, you just need to add the classes to your autoloader.

If you have no existing autoloader, include autoload.php

How to use it ?

Take a look at examples in test/ folder.